Bug 1464077 - Page remains in loading state when selecting packages from selected CV and from selected environment
Page remains in loading state when selecting packages from selected CV and fr...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.2.10
x86_64 Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 07:48 EDT by Nikhil Kathole
Modified: 2017-07-01 01:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception raised in production.log (22.28 KB, text/plain)
2017-06-22 07:48 EDT, Nikhil Kathole
no flags Details
screenshot of UI (63.27 KB, image/png)
2017-06-22 07:50 EDT, Nikhil Kathole
no flags Details

  None (edit)
Description Nikhil Kathole 2017-06-22 07:48:57 EDT
Created attachment 1290661 [details]
exception raised in production.log

Description of problem:
I was trying to explore UI, created two environments, add package filter and promoted to new version. I was trying to see filtered packages by content view for promoted environment.The UI goes loading and raised error in production.log.



2017-06-22 05:31:41 0c3015b5 [app] [I] Processing by Katello::Api::V2::PackagesController#index as JSON
2017-06-22 05:31:41 0c3015b5 [app] [I]   Parameters: {"content_view_version_id"=>"3", "environment_id"=>"4", "library"=>"true", "page"=>"1", "search"=>"", "api_version"=>"v2"}
2017-06-22 05:31:41 0c3015b5 [app] [E] PG::Error: ERROR:  bind message supplies 2 parameters, but prepared statement "a151" requires 1
 | 
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/postgresql_adapter.rb:834:in `get_last_result'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/postgresql_adapter.rb:834:in `block in exec_cache'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/abstract_adapter.rb:373:in `block in log'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/abstract_adapter.rb:367:in `log'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/postgresql_adapter.rb:831:in `exec_cache'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:138:in `exec_query'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/postgresql_adapter.rb:954:in `select'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/abstract/database_statements.rb:24:in `select_all'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/abstract/query_cache.rb:68:in `block in select_all'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/abstract/query_cache.rb:83:in `cache_sql'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/connection_adapters/abstract/query_cache.rb:68:in `select_all'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/calculations.rb:262:in `execute_simple_calculation'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/calculations.rb:224:in `perform_calculation'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/calculations.rb:119:in `calculate'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/calculations.rb:34:in `count'



Version-Release number of selected component (if applicable):
sat6.2.10

How reproducible:
always

Steps to Reproduce:
1.create an environment 
2.create content views
3.add package filter of type include and promote to new version
4.go to lifecycle environment >> click promoted environment >> packages >> filter by content view.


Actual results:
UI remains in loading state and production.log is filled w/ above exception.

Expected results:
Page should load without exception

Additional info:
Comment 1 Nikhil Kathole 2017-06-22 07:50 EDT
Created attachment 1290662 [details]
screenshot of UI
Comment 3 Mike McCune 2017-06-30 13:48:30 EDT
Reproduced this on 6.2.10 as described in the bug.

Note You need to log in before you can comment on or make changes to this bug.